<?php

namespace App\model;

use Illuminate\Database\Eloquent\Model;

class Products extends Model
{
    protected $table = 'products';
    protected $hidden = [];
    protected $appends = ['ProdcutsComments','unitInfo', 'ProdcutsUnit',
        'ShopName','ShopId', 'ShopCityId','AppPrice', 'childProducts','WorkingTime'];


    public function getparentAttribute($value)
    {
        if ($value == null){ return 0;}
        else
            return $value;


    }



    public function setparentAttribute($value)
    {
        if ($this->id != $value){


            $parentProduct =  Products:: where('id', $value)->first();
            if ($parentProduct){
                $this->shop = $parentProduct->shop;
                $this->attributes['parent'] = $value;
            }



        }
        else
        {
            $this->attributes['parent'] = 0;
        }
    }
    public function getshopAttribute($value)
    {
        $parent = $this->parent;

        if ($parent == null or $parent == 0 ){ return $value;}
        else {
            $Product =  Products:: where('id', $parent)->first();
            if ($Product){
                return $Product->shop;}
            else
                return $value;
        }

    }


    public function getchildProductsAttribute()
    {
        $Products =  Products:: where('parent', $this->id)->get();

        return $Products;


    }

    public function getunitInfoAttribute()
    {
        $Units =  Unit::
        where('id', $this->unit)->
        first();
        return $Units;


    }

    public function getProdcutsUnitAttribute()
    {
        $Units =  Unit::
        where('id', $this->unit)->
        get();
        return $Units;


    }
    public function getAppPriceAttribute($value)
    {
        $shopId =  $this->shop    ;
        $shop = Shop ::where('id', $shopId)->first();

        if ($shop){
            $tax= $shop->TaxOne_value + $shop->TaxTwo_value;
            return (round($this->price *(1+$tax),1)) ;
        } else return $value;

    }
    public function getProdcutsCommentsAttribute()
    {
        $Productcomments =  Productcomment::
        where('Shop_Id', $this->id)->
        get();
        return $Productcomments;


    }

    public function Shops()
    {
        // return $this->belongsToMany('\Products', 'ordersprpductlists');
        return $this->hasOne('App\model\Shop', 'id', 'shop');
    }
    public function getShopNameAttribute()
    {
        //return $this->shop;
        $shopId = $this->shop ;
        $Shop = Shop ::where('id', $shopId)->first();

        if (  $Shop == null ) return 'shop';
        else
            return

                $Shop->name ;
    }
    public function getShopIdAttribute()
    {
        //return $this->shop;
        $_parent = $this->parent;
        // if product has parrent
        if ($_parent !=0 || $_parent != null){
            $Product =  Products:: where('id', $_parent)->first();

            if ($Product){
                return  $Product->shop ; }
        }else {
            $shopId = $this->shop ;
            $Shop = Shop ::where('id', $shopId)->first();

            if (  $Shop == null ) return '0';
            else
                return

                    $Shop->id ;
        }
    }
    public function getShopCityIdAttribute()
    {
        //return $this->shop;
        $shopId = $this->shop ;
        $Shop = Shop ::where('id', $shopId)->first();

        if (  $Shop == null ) return 'shop';
        else
            return

                $Shop->city ;
    }

    public function getWorkingTimeAttribute()
    {
        //return $this->shop;
        $shopId = $this->shop ;
        $Shop = Shop ::where('id', $shopId)->first();

        if (  $Shop == null ) return 'null';
        else

            return [
                'doorStartAt' =>  $Shop->doorStartAt ,
                'doorCloseAt' => $Shop->doorCloseAt,
            ];

    }

}
