//get the html elements
const addUserForm = document.querySelector('#addUserForm');
const addUserBtn = document.querySelector('#addUserBtn');
const addUserReport = document.querySelector('#addUserReport');
//get inputs elements
const fName = document.querySelector('#fName');
const fNameReportAreya = document.querySelector('#fNameReportAreya');
const lName = document.querySelector('#lName');
const lNameReportAreya = document.querySelector('#lNameReportAreya');
const phone = document.querySelector('#phone');
const phoneReportAreya = document.querySelector('#phoneReportAreya');
const email = document.querySelector('#email');
const emailReportAreya = document.querySelector('#emailReportAreya');
const password = document.querySelector('#password');
const passwordReportAreya = document.querySelector('#passwordReportAreya');
const image = document.querySelector('#image');


//send the data
addUserForm.addEventListener('submit', updateUserFunc);
function updateUserFunc(e) {
    e.preventDefault();
    //empty validation
    if (!emptyValidation(fName, fNameReportAreya, 'الاسم الاول مطلوب')) return;
    if (!emptyValidation(lName, lNameReportAreya, 'الاسم الاخير مطلوب')) return;
    if (!emptyValidation(phone, phoneReportAreya, 'رقم الهاتف مطلوب')) return;
    //expression validation
    if (!regullerExpression(phone, phoneReportAreya, 'رقم الهاتف غير صالح', '[0-9]{10}')) return;
    if (!regullerExpression(email, emailReportAreya, 'الايميل غير صالح', '[a-zA-Z0-9._-]{3,}@[a-zA-Z0-9.-]{3,}[.]{1}[A-Za-z0-9]{2,}')) return;
    //empty validation
    if (!emptyValidation(password, passwordReportAreya, 'كلمة المرور مطلوبة')) return;
    
    let infoData = {
        'login_phone': phone.value,
        'password': password.value,
        'last_name': lName.value,
        'first_name': fName.value,
        'email': email.value
    };
    // send the ajax request
    $.ajax({
        'url': 'http://80.211.24.15/api/​creatuser',
        'type': 'post',
        'data': infoData,
        'Accept': 'application/json',
        'Content-Type': 'application/json',
        beforeSend: function () {
            addUserReport.innerHTML = '';
            addUserBtn.setAttribute('disabled', true);
            addUserBtn.value = 'الرجاء الانتظار ';
        },
        success: function (data) {
            if (data.ResponseCode == 1) {
                addUserBtn.removeAttribute('disabled');
                addUserBtn.textContent = 'تسجيل';
                addUserReport.innerHTML = `<h5 class="text-center text-success">
                    تم تسجيل البيانات بنجاح
                </h5>`;
               
                window.location.reload();
            } else if (data.ResponseCode == 0) {
                addUserBtn.removeAttribute('disabled');
                addUserBtn.value = 'تسجيل';
                addUserReport.innerHTML = `<h5 class="text-center text-danger">
                    حدث خطأ الرجاء اعادة المحاولة
                </h5>`;
            }


        },
        error: function () {
            addUserBtn.removeAttribute('disabled');
            addUserBtn.value = 'تسجيل';
            addUserReport.innerHTML = `<h5 class="text-center text-danger">
                تحقق من الاتصال بالانترنت
            </h5>`;
        }
    });

};