//cach page elements
const aboutUsText = document.querySelector('#aboutUsText');
const whyUsText = document.querySelector('#whyUsText');
const phoneText = document.querySelector('#phoneText');
const whatsappText = document.querySelector('#whatsappText');
const emailText = document.querySelector('#emailText');
const howItsWorkText = document.querySelector('#howItsWorkText');
const logo = document.querySelector('#logo');
const googlePlayUrl = document.querySelector('#googlePlayUrl');
const twitterLink = document.querySelector('#twitterLink');
const faceLink = document.querySelector('#faceLink');
const instagramLink = document.querySelector('#instagramLink');
const linkedinLink = document.querySelector('#linkedinLink');
//add dynamic content to the site
const getInfo = function()
{
    //get info from the server
    $.ajax({
        url: 'http://www.ahlanwashlan.com/api/AppInfo/1',
        type: 'get',
        beforeSend: function () {
            console.log('waiting');
        },
        success: function (data) {
            fillSiteData(data);
        },
        error: function (error) {
            console.log(error);
        }
    });
};
getInfo();

function fillSiteData(data)
{
    aboutUsText.textContent = data.aboutUs;
    whyUsText.textContent = data.whyUS;
    phoneText.textContent = data.phone;
    whatsappText.textContent = data.whatsApp;
    emailText.textContent = data.email;
    googlePlayUrl.setAttribute('href', data.googlePlayUrl);
    appStoreUrl.setAttribute('href', data.appStoreUrl);
    twitterLink.setAttribute('href', data.twitter);
    faceLink.setAttribute('href', data.facebook);
    instagramLink.setAttribute('href', data.instgram);
    linkedinLink.setAttribute('href', data.linkdin);

    localStorage.setItem('returnPolicy', data.returnPolicy);
    localStorage.setItem('privacyPolicy', data.privacyPolicy);
    localStorage.setItem('userAgreement', data.userAgreement);
    localStorage.setItem('platformPolicy', data.platformPolicy);
    localStorage.setItem('deliveryPolicy', data.deliveryPolicy);
    localStorage.setItem('cancelationPolicy', data.cancelationPolicy);
}


//get faq
function faq()
{
    //get info from the server
    $.ajax({
        url: 'http://www.ahlanwashlan.com/api/getFaqs',
        type: 'get',
        beforeSend: function () {
            console.log('waiting faq');
        },
        success: function (data) {
            fillFaq(data);
        },
        error: function (error) {
            console.log(error);
        }
    });   
}

const faqList = document.querySelector('#faq-list');
const fillFaq = function(data)
{
    let output = ``;
    for(let q in data)
    {
        output += `
        <li>
            <a data-toggle="collapse" class="collapsed" href="#faq${data[q].id}">
                ${data[q].question}
                <i class="ion-android-remove"></i>
            </a>
            <div id="faq${data[q].id}" class="collapse" data-parent="#faq-list">
                <p>${data[q].answer}</p>
            </div>
        </li>`;
    }
    faqList.innerHTML = output;
};

faq();