@extends('base_view')
@section('body')
@section('page_title', __('voyager::generic.viewing').' '.'Customers')


<body>

<!-- time filter -->

<style>
    * {
    box-sizing: border-box;
    }

    .input {
    width: 100%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    resize: vertical;
    }

    .label {
    padding: 12px 12px 12px 0;
    display: inline-block;
    color: grey;
    }

    input[type=submit] {
    background-color: #4CAF50;
    color: white;
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    float: left;
    }

    input[type=submit]:hover {
    background-color: #45a049;
    }

    .container {
    border-radius: 5px;
    background-color: #f2f2f2;
    padding: 20px;
    }


</style>
<div class="container">
<form action="">

<label for="appt">Select time range to show the reports:</label> </br>

<div class="row input">
      <div class="col ">
<label class="" for="fromDate">From:</label>
<input class="input" type="date" id="fromDate" name="fromDate" value= {{ $customer->filterfromDate }} >
      </div>
      <div class="col">
<label for="toDate">To:</label>
<input  class="input"  type="date" id="toDate" name="toDate"  value= {{ $customer->filtertoDate }}>
</div>

</div>

<div class="row">
      <input type="submit" value="Submit">
    </div>
  </form>
  </div>
<!-- time filter -->
<div class="container">
<div class="container-fluid">

<!-- Name And Image -->
<table class="table table-striped">
    <tr>
        <th scope="col">
            <h1> {{ $customer->first_name }} </h1>
            <p>  {{ $customer->created_at }} </p>
            <p>  {{ $customer->login_phone }} </p>

            <th scope="col">
        <img src="{{$storageUrl}}{{ $customer->image}}"  style="width:150px;height:150px;" alt="customer Image">
        </th>
    </tr>  
    </table>

<!-- Name And Image -->


<!--  Summary Cards -->
<table class="table table-striped">
<thead>
<tr>
    <th scope="col">
        <div class="card white-box p-1">
        <div class="card-body">
        <h3 class="box-title">Total Completed Orders </h3>
        <span class="counter text-success"> {{ $customer->getDeliveryreports->TotalCount}}</span></li>
        </div>
        </div>
    </th>

    <th scope="col">
        <div class="card white-box p-1">
        <div class="card-body">
        <h3 class="box-title">Total Income </h3>
        <span class="counter text-success"> {{ $customer->getDeliveryreports->TotalIncume}} ORM</span></li>
        </div>
    </div>
    </th>

    <th scope="col">
    <div class="card white-box p-1">
    <div class="card-body">
    <h3 class="box-title">Tax </h3>
    <span class="counter text-success"> {{ $customer->getDeliveryreports->TotalIncume *.12}} ORM</span></li>
    </div>
    </div>
    </th>

    <th scope="col">
    <div class="card white-box p-1">
    <div class="card-body">
    <h3 class="box-title">Fees </h3>
    <span class="counter text-success">{{ $customer->getDeliveryreports->TotalIncume *.1}} ORM</span></li>
    </div>
    </div>
    </th>
                                      
                                     

    </tr>
    </thead>
</table>
<!--  Summary Cards -->
    
  

        
               <div class="row">
                   <!-- .Orders -->
                   <div class="d-flex flex-row product-row p-3 mt-0">
                  
                       <div class="card white-box p-0">
                           <div class="card-body">
                               <h3 class="box-title mb-0">New  Orders</h3>
                           </div>
                           <div class="product-widgets">

                         
                           <input class='Input' type="text" id="newdOrdersInputSearch" onkeyup="newOrdersSearchFunction()" placeholder="Search inside any order.." title="Type in a value">

                         
                         
                             <table  class="Table" id="newdOrdersTable">
                                   <thead>
                                       <tr>
                                       <th scope="col">id</th>
                                       <th scope="col">created_at</th>
                                       <th scope="col">total_value</th>
                                       <th scope="col">delivery price</th>

                                       <th scope="col">state</th>
                                       <th scope="col">CustomerInfo</th>
                                       <th scope="col">cartProdcuts</th>
                                       
                                       <th scope="col">Action</th>

                                       </tr>
                                   </thead>
                                   <tbody>
                                       @foreach ( $customer->newdelivieries as $delivery)
                                       @php ( $order = $delivery->orderInfo )

                                       <tr>
                                           <th scope="row">{{$order->id}}</th>
                                           <td>{{$order->created_at}}</td>
                                           <td>{{$order->total_value}}</td>
                                           <td>{{$delivery->delivery_price}}</td>

                                           <td> {{$delivery->state}}</td>

                                           @php ($login_phone ='' )
                                           @php ( $first_name = '' )
                                           @php ( $editUrl  ='#' )

                                           @if ($order->CustomerInfo)
                                           @php ( $login_phone = $order->CustomerInfo->login_phone )
                                           @php (   $first_name = $order->CustomerInfo->first_name  )    
                                           @php ( $editUrl  = $adminURL.'customers/'. $order->CustomerInfo->id .'/edit/ ' )

                                           @endif
                                   
                                        
                                          <td> <a class="btn btn-light" href='{{$editUrl}}'>{{$login_phone}} , {{$first_name}} </a> </td>

                                          <!-- Order Cart Products -->
                                          <td> 
                                          @if ($order->cartProdcuts)

                                           @foreach ( $order->cartProdcuts as $cartProdcut)
                                   @php ( $editUrl  = $adminURL.'products/'. $cartProdcut->Products_id .'/edit/ ' )
                                   <a class="btn btn-light" href='{{$editUrl}}'>{{$cartProdcut->product_name}} </a>
                                          
                                           @endforeach
                                           @endif

                                           </td>
                                          <!-- Order Cart Products -->

                                               <!-- Action -->
                                           @php ( $editUrl  = $adminURL.'orders/'. $order->id .'/edit/ ' )
                                           @php ( $editdeliveryUrl  = $adminURL.'deliveries/'. $delivery->id .'/edit/ ' )

                                           <td>  <a class="btn btn-info btn-sm" href='{{$editUrl}}'>Edit</a>
                                             <a class="btn btn-info btn-sm" href='{{$editdeliveryUrl}}'>Edit Delivery</a> </td>
                               
                              
                                       </tr>
                                                           
                                       @endforeach
                                   </tbody>
                           </table>
                                    
                           <h5 class="box-title mb-0"> New Orders</h5>
                         
                           </div>
                       </div>
                   </div>
             
                   <!-- /.col -->
               </div>
             
            
               <div class="row">
                   <!-- .Finshed Order -->
                   <div class="d-flex flex-row product-row p-3 mt-0">
                  
                       <div class="card white-box p-0">
                           <div class="card-body">
                               <h3 class="box-title mb-0">Finshed Orders</h3>
                           </div>
                           <div class="product-widgets">

                         
                           <input type="text"  class='Input' id="FinshedOrdersTablesearchinput" onkeyup="myFunction()" placeholder="Search inside any order.." title="Type in a value">

<table class="Table" id="FinshedOrdersTable">
                                   <thead>
                                       <tr>
                                       <th scope="col">id</th>
                                       <th scope="col">created_at</th>
                                       <th scope="col">total_value</th>
                                       <th scope="col">delivery price</th>

                                       <th scope="col">state</th>
                                       <th scope="col">CustomerInfo</th>
                                       <th scope="col">cartProdcuts</th>
                                       
                                       <th scope="col">Action</th>

                                       </tr>
                                   </thead>
                                   <tbody>
                                       @foreach (  $customer->getDeliveryreports->TotalDeliveries as $delivery)
                                       @php ( $order = $delivery->OrderInfo )

                                       <tr>
                                           <th scope="row">{{$order->id}}</th>
                                           <td>{{$order->created_at}}</td>
                                           <td>{{$order->total_value}}</td>
                                           <td>{{$delivery->delivery_price}}</td>

                                           <td> {{$delivery->state}}</td>

                                           @php ($login_phone ='' )
                                           @php ( $first_name = '' )
                                           @php ( $editUrl  ='#' )

                                           @if ($order->CustomerInfo)
                                           @php ( $login_phone = $order->CustomerInfo->login_phone )
                                           @php (   $first_name = $order->CustomerInfo->first_name  )    
                                           @php ( $editUrl  = $adminURL.'customers/'. $order->CustomerInfo->id .'/edit/ ' )

                                           @endif
                                   
                                        
                                          <td> <a class="btn btn-light" href='{{$editUrl}}'>{{$login_phone}} , {{$first_name}} </a> </td>

                                          <!-- Order Cart Products -->
                                          <td> 
                                          @if ($order->cartProdcuts)

                                           @foreach ( $order->cartProdcuts as $cartProdcut)
                                   @php ( $editUrl  = $adminURL.'products/'. $cartProdcut->Products_id .'/edit/ ' )
                                   
                                   <a class="btn btn-light" href='{{$editUrl}}'>{{$cartProdcut->product_name}} </a>
                                          
                                           @endforeach
                                           @endif

                                           </td>
                                          <!-- Order Cart Products -->

                                               <!-- Action -->
                                           @php ( $editUrl  = $adminURL.'orders/'. $order->id .'/edit/ ' )
                                           @php ( $editdeliveryUrl  = $adminURL.'deliveries/'. $delivery->id .'/edit/ ' )



                                           <td>  <a class="btn btn-info btn-sm" href='{{$editUrl}}'>Edit</a>
                                             <a class="btn btn-info btn-sm" href='{{$editdeliveryUrl}}'>Edit Delivery</a> </td>
                               
                              
                                       </tr>
                                                           
                                       @endforeach
                                   </tbody>
                           </table>
                                    
                           <h5 class="box-title mb-0">Finshed Orders</h5>
                         
                           </div>
                       </div>
                   </div>
             
                   <!-- /.col -->
               </div>


   </div>


  
</div>


<div class="container">
<script type="text/javascript">
</script>
@stop
