use GuzzleHttp\Client;

@extends('voyager::master')
@section('page_title', __('voyager::generic.viewing').' '.'Shops')



@section('page_header')
   

<!DOCTYPE html>
<html>
<head>
    <title>Shops</title>
    <meta name="csrf-token" content="{{ csrf_token() }}">
   
    <link href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css" rel="stylesheet">
    <link href="https://cdn.datatables.net/1.10.19/css/dataTables.bootstrap4.min.css" rel="stylesheet">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.js"></script>  
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.0/jquery.validate.js"></script>
    <!-- <script src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script> -->
<script> baseURL=  'http://www.dexoman.com';
    adminURL = baseURL + '/admin/'; 
    modelName = 'orders';</script>
</head>
<body>
    
<div class="container">
    <h1>Shops</h1> 
    <a class="btn btn-success" href="/admin/shops/create" > Create New shop</a>
    
</div>
  
@stop


@section('content')



<div class="container">



<script type="text/javascript">

var actionbutton =   { render:  function(data, type, full) {
    var editUrl = adminURL + "shops/"+full['id']+ '/edit' ;
    var showUrl = adminURL + "shops/id="+full['id'] ;
    return '<a class="btn btn-info btn-sm" href='  +editUrl  + '>' +'Edit' + '</a>  ' +
    '<a class="btn btn-success"  target="_blank" href=' + showUrl + '>' + 'Show' + '</a>';
}
}


function imagefun (data, item, full) {
    if (data == null) return 'لا يوجد صورة'  ;
    // return data ;
    // return full['image'];
    return '<img src="'+'http://www.dexoman.com/storage/'+ data+
    '" style="width:150px;height:150px;">';
} 


function ShopCity (data, item, full) {
    if (!data) return 'لا يوجد متجر'  ;
    return data.name;
            } 
            
function storeOrResturant (data, item, full) {
    if (data == 1) {return 'متجر'  ;}
    else  {return 'مطعم';}
} 

var DealerInfoButton =   { render:  function(data, type, full) {
    if (full['Dealer'] == null) return 'لا يوجد';
    var viewPageURL = adminURL+'customers/'+ full['Dealer']['id'] ;
    return full['Dealer']['first_name']+ "\n" +
    full['Dealer']['login_phone']+ "\n" +
    '<a target="_blank" href='  +viewPageURL  + '>'      + 'SeeMore' +       '</a>  ' ;
    }
}

$(document).ready(function() {
  
table =  $('#example').DataTable( {
    // paging: true,
    // searching: true,
    // retrieve: true,
    "order": [[ 1, "desc" ]],
    "ajax": baseURL+ "/api/getShops",
    "columns": [
    { "data": "id" },
    {  "data": 'image' , render: imagefun  },
    { "data": "created_at" },
    { "data": "name" }, 
    DealerInfoButton,
    { "data": "Phone" },          
    { "data": "description" },          
    { "data": "address" },         
    {  "data": 'ShopCity' , render: ShopCity  },
    {  "data": 'isStore' , render: storeOrResturant  },
    actionbutton,
    ],
} );
$.fn.dataTable.ext.errMode = 'throw';

$('#example tbody').on( 'click', 'button', function () {
    if (this.id == 'priceDetialsButoon') {
        var row = table.row( $(this).parents('tr') ).data();
        delivery_price =  row.delivery_price;
        total_value = row.OrderInfo.total_value;
        Total = delivery_price + total_value;
        alert("delivery Value: " + delivery_price +" OMR. " + "\n"
        +'cart value: ' + total_value +" OMR. " + "\n"
        +'Total value: ' + Total +" OMR. ")
    } 
}
);


           
} );

</script>


     
<table id="example" class="display" style="width:100%">
<thead>
    <tr>
        <th>id</th>  
        <th>image</th>  
        <th>Created At</th>           
        <th>name</th>
        <th>Owner</th>
        <th>phone</th>           
        <th>description</th>
        <th>address</th>
        <th>ShopCity</th>
        <th>Type</th>
        <th>Actions</th>



    </tr>
</thead>

<tfoot>
    <tr>

        <th>id</th> 
        <th>image</th>  
        <th>Created At</th>           
        <th>name</th>
        <th>Owner</th>
        <th>phone name</th>           
        <th>description</th>
        <th>address</th>
        <th>ShopCity</th>
        <th>Type</th>
        <th>Actions</th>

    </tr>
</tfoot>
</table>

</div>

@stop
