<!DOCTYPE html>
<html dir="rtl" lang="ar">
    <head>
        <meta charset="utf-8">
        <meta name="description" content="Almarid is an unique food and stuff delivery application with outstanding properties and services.">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" type="text/css" href="normalize.css">
        <link rel="stylesheet" type="text/css" href="2015-03-25_13-52-05__grid%20(1).css">
        <link rel="stylesheet" type="text/css" href="ionicons.min.css">
        <link rel="stylesheet" type="text/css" href="style.css">
        <link rel="stylesheet" type="text/css" href="quariess.css">
        <title>Almarid</title>
        
        <link rel="apple-touch-icon" sizes="180x180" href="apple-touch-icon.png">
        <link rel="icon" type="image/png" sizes="32x32" href="favicon-32x32.png">
        <link rel="icon" type="image/png" sizes="16x16" href="favicon-16x16.png">
        <link rel="manifest" href="site.webmanifest">
        <link rel="mask-icon" href="safari-pinned-tab.svg" color="#313131">
        <link rel="shortcut icon" href="favicon.ico">
        <meta name="msapplication-TileColor" content="#da532c">
        <meta name="msapplication-config" content="browserconfig.xml">
        <meta name="theme-color" content="#ffffff">
        
    </head>

    <body>
        <header>
            <nav>
                <div class="row">
                    <img src="Almarid_pic.jfif" alt="Almarid logo" class="logo">
                    <!--<ul class="main-nav">
                        <li><a href="#">Food Delivery</a></li>
                        <li><a href="#">How it works </a></li>
                        <li><a href="#">Our cities</a></li>
                        <li><a href="#">Sign up</a></li>
                    </ul>-->
                </div>
            </nav>
            <div class="hero-text-box">
                <h1>أي شي تريد..<br>وين ما تريد..<br>وقت ما تريد!</h1>
                <!--<a class="btn btn-full" href="#">I'm hungry</a>
                <a class="btn btn-ghost" href="#">Show me more</a>-->
            </div>
        </header>
        <section class="section-features">
            <div class="row">
                <h2>المارد &mdash; مميزاتنا </h2>
                <p class="long-copy">
                مرحبا بك في المارد, نعلم انك مشغول وليس لديك الوقت للطبخ او تجهيز الطعام, لا تقلق. التطبيق الأول في سلطنة عمان الذي يتيح لك فرصة الطلب من مطاعمك المفضلة و متاجرك المفضلة كذلك! بالإضافة يتيح لك تطبيق المارد ميزة "الطلبية الخاصة". نضمن لك جودة خدماتنا و روعة ميزاتنا, تعرف علينا!  
                </p>
            </div>
            <div class="row">
                <div class="col span-1-of-4 box">
                    <ion-icon name="wallet-outline" class="icon-big"></ion-icon>
                    <h3>خدمة الرصيد المربحة لتطبيق المارد</h3>
                    <p>
                    اطلب اكثر و انشر التطبيق لتحصل على نقاط رصيد اكثر و التي يمكنك استخدامها لطلب طلبيات مجانية أو سحب قيمة الرصيد كمبلغ مالي.
                    </p>
                </div>
                
                <div class="col span-1-of-4 box">
                    <ion-icon name="alarm-outline" class="icon-big"></ion-icon>
                    <h3>طلبك يوصلك في خلال 20 دقيقة فقط</h3>
                    <p>
                    انت على بعد عشرين دقيقة فقط من طلبك اللذيذ من المطعم أو طلبك الرائع من المتجر. نحن نعمل مع مندوبين ذوي كفاءات عالية يمكنك الاعتماد عليهم دائما.
                    </p>
                </div>
                
                <div class="col span-1-of-4 box">
                    <ion-icon name="star-outline" class="icon-big"></ion-icon>
                    <h3>ميزة الطلبية الخاصة الفريدة من نوعها</h3>
                    <p>
                    فقط على تطبيق المارد! يمكنك توصيل أي غرض من منزلك الى أي مكان في السلطنة! و كما يمكنك توصيل ما تريد الى منزلك أو أي مكان تحدده انت من خلال ميزة الطلبية الخاصة المتوفرة فقط على تطبيق المارد.
                    </p>
                </div>
                
                <div class="col span-1-of-4 box">
                    <ion-icon name="cart-outline" class="icon-big"></ion-icon>
                    <h3>إمكانية الطلب من المطاعم و المتاجر</h3>
                    <p>
                    مع وجود الكثير و المختلف من المطاعم و المتاجر العالمية و المحلية, يمكنك الطلب من خلال تطبيق المارد من مطاعمك و متاجرك المفضلة و بكل سهولة.
                    </p>
                </div>
            </div>
        </section>
        <section class="section-meals">
            <ul class="meals-showcase clearfix">
                <li>
                    <figure class="meal-photo">
                        <img src="1.jpg" alt="Korean bibimbap with egg and vegetables">
                    </figure>
                </li>
                <li>
                    <figure class="meal-photo">
                        <img src="2.jpg" alt="Simple italian pizza with cherry tomatoes">
                    </figure>
                </li>
                <li>
                    <figure class="meal-photo">
                        <img src="3.jpg" alt="Chicken breast steak with vegetables">
                    </figure>
                </li>
                <li>
                    <figure class="meal-photo">
                        <img src="4.jpg" alt="Autumn pumpkin soup">
                    </figure>
                </li>
            </ul>
            <ul class="meals-showcase clearfix">
                <li>
                    <figure class="meal-photo">
                        <img src="5.jpg" alt="Paleo beef steak with vegetables">
                    </figure>
                </li>
                <li>
                    <figure class="meal-photo">
                        <img src="6.jpg" alt="Healthy baguette with egg and vegetables">
                    </figure>
                </li>
                <li>
                    <figure class="meal-photo">
                        <img src="7.jpg" alt="Burger with cheddar and bacon">
                    </figure>
                </li>
                <li>
                    <figure class="meal-photo">
                        <img src="8.jpg" alt="Granola with cherries and strawberries">
                    </figure>
                </li>
            </ul>
        </section>
        <section class="section-steps">
            <div class="row">
                <h2>طريقة تحميل التطبيق؟ &mdash; ببساطة..</h2>
            </div>
            <div class="row">
                <div class="col span-1-of-2 step-box">
                    <!--<img src="Pic.png" alt="Omnifood App on iPhone" class="app-screen">-->
                    <div class="works-steps">
                        <div>1</div>
                        <p>اذهب الى متجر ابل أو جوجل و ابحث عن تطبيق المارد.</p>
                    </div>
                    <div class="works-steps">
                        <div>2</div>
                        <p>اضغط على زر التثبيت و حمل التطبيق.</p>
                    </div>
                    <div class="works-steps">
                        <div>3</div>
                        <p>استمتع بميزاتنا الفريدة و اطلب ما تشاء و تشتهي من المطاعم أو المتاجر.</p>
                    </div>
                </div>
                <div class="col span-1-of-2 step-box">
                    <div class="btn-app">
                        <a href="#"><img src="download-app.svg" alt="Apple Store Button"></a>
                        <a href="#"><img src="download-app-android.png" alt="Play Store Button"></a>
                    </div>
                </div>
            </div>
        </section>
        <footer>
            <div class="row">
                <div class="col span-1-of-2">
                    <ul class="footer-nav">
                        <li><img src="Almarid_pic.jfif" alt="Almarid logo" class="footer-logo"></li>
                        <!--<li><a href="#">About us</a></li>
                        <li><a href="#">Blog</a></li>
                        <li><a href="#">Press</a></li>
                        <li><a href="#">IOS App</a></li>
                        <li><a href="#">Andriod App</a></li>-->
                    </ul>
                </div>
                <div class="col span-1-of-2">
                     <ul class="social-links">
                        <li><a href="https://www.facebook.com/Almarid-المارد-103334264925797/" target="_blank"><ion-icon name="logo-facebook" class="facebook"></ion-icon></a></li>
                        <li><a href="https://mobile.twitter.com/almarid_om" target="_blank"><ion-icon name="logo-twitter" class="twitter"></ion-icon></a></li>
                        <!--<li><a href="#"><ion-icon name="logo-google" class="google"></ion-icon></a></li>-->
                        <li><a href="https://www.instagram.com/almarid_om/" target="_blank"><ion-icon name="logo-instagram" class="instagram"></ion-icon></a></li>
                    </ul>
                </div>
            </div>
            <div class="row">
                <p>Copy rights &copy; 2021 by Almarid. All rights are reserved.</p>
            </div>
        </footer>
        <script src="https://unpkg.com/ionicons@5.2.3/dist/ionicons.js"></script>
    </body>

</html>